Jump to content

KhayrusS

AmigosL2JBR
  • Content Count

    3,727
  • Joined

  • Last visited

  • Days Won

    31

KhayrusS last won the day on November 25 2019

KhayrusS had the most liked content!

Community Reputation

282 Bom

About KhayrusS

  • Rank
    "O" Cara
  • Birthday 04/26/1991

Profile Information

  • Gênero:
    Masculino

Contact Methods

  • Site:
    http://

Recent Profile Visitors

39,012 profile views
  1. Posta as configurações e se possível mais detalhes do que está acontecendo.
  2. Qual o problema na compilação ?
  3. Pela imagem, o intelliJ está pedindo para configurar o Java em project Structure: Vai em File -> Project Structure... (ctrl + shift + alt + s) Em project SDK coloca o Java 8 (que foi o pedido pelo projeto). Sim, é um projeto antigo é normal que use um java "antigo". Antes do Java 11, que é a versão LTS atual do Java, a versão 8 era versão LTS, então é normal que esteja usando o Java 8.
  4. Faz assim: <mul val='1.07' order='0x30' stat='accCombat'/> <mul val='0.95' order='0x30' stat='pAtk'/>
  5. Alguns funcionam, outros não.outros ainda estou refazendo. Sim, por enquanto elas não tem muita influência, então podem ser retiradas. Esses avisos são para mostrar quais os "packets" que ainda não forma implementados, visto que é um protocolo relativamente novo é importante para o desenvolvimento assim é possível saber qual "packet" o cliente envia em qual momento.
  6. https://www.l2jbrasil.com/forum/368-classic/
  7. O Navicat utiliza um formato específico para exportação em XML. Que consiste em uma estrutura que começa com <RECORDS>, e para cada "linha" da tabela um <RECORD>. Isso é feito para que ele consiga importar os dados posteriormente. Pelo que eu vi no seu código, você precisa alterar <RECORDS> para <list> e <RECORD> para <adm_cmd>. Alem desses o Navicat está exportando o atributo como "accessLevels" enquanto no código está utilizando "accessLevel", que também precisa ser mudado.
  8. Mas a partir do momento que for adicionado algo que utiliza funcionalidades só disponível no Java 13, como text block ou switch expression, não será mais possível utilizar versões anteriores.
  9. Vê se esse serve https://bitbucket.org/l2jserver/l2j-server-game/src/C5/
  10. Quando você precisa de mais de uma linha para o valor da propriedade, é necessário terminar a linha com o caractere \. Na última linha não é necessário.
  11. O mais provável que está acontecendo é que o seu Java Path está apontando para o Java 8 ou 10. Você pode verificar isso abrindo o cmd e executando o comando Java -version. Para resolver seu problema é necessário modificar a variável de ambiente do Java para utilizar o Java 13
  12. Versão errada do Java. Verifica qual a versão do Java que o servidor usa
  13. Você precisa utilizar pelo menos o Java 8 (major version 52) para rodar o servidor
  14. A system que eu postei é do oficial, infelizmente não vai conseguir modificá-la sem remover as proteções. Mas você não precisa modificar o L2.ini para colocar o IP, existem outras formas: Você pode editar o arquivo host da máquina; (não gosto muito dessa opção); Pode executar o L2 pelo cmd passando o argumento IP=127.0.0.1; Eu prefiro criar um link (shortcut) para o l2.exe e na propriedade target eu adiciono "IP=127.0.0.1"
  15. Se sua system estiver desbloqueada pode usar esse https://github.com/L2jBrasil/L2FileEdit
  • Recent Status Updates

    • Capusky

      Atualmente, estou trabalhando como desenvolvedor web em Topflix
      · 0 replies
    • Rafaelfr1  »  MrFreedomFights

      Opa blz? tenho uma dúvida baixei os packs de weapom dynasty que vc postou. Coloquei na pasta system os arquivos, animations e systemtextures, conforme estava disponibilizado, passei o sql, e alterei o .dat da pasta system colocando as weapons.
      Fui testar no jogo mas a arma não aparece, da a mensagem que entra no inventario mas não mostra.
      Provavelmente existe outro passo que preciso fazer mas não sei qual. Poderia me dizer oq ta faltando? E que programa utilizo pra editar algo se precisar?
      · 1 reply
    • zFernando_MT  »  RootZerO

      Boa noite, você poderia me ajudar adicionar o pack Costumes/Skins For [Interlude]
      no dressme?? a rev é L2J Mega Corrido ! E já tem o mod adicionado só estou com dificuldade de adicionar seu pack de custumes/skins
      Estou com dificuldade, se me ajuda agradeço desde já!!
      · 0 replies
×
×
  • Create New...